import path from "path";
import { fileURLToPath } from "url";

const __filename = fileURLToPath(import.meta.url);
const __dirname = path.dirname(__filename);

// 项目根目录
export const ROOT_DIR = path.join(__dirname, "..");

// bin 目录
export const BIN_DIR = path.join(ROOT_DIR, "bin");

// 工具路径
export const MODEL_CONVERTER = path.join(BIN_DIR, "model_converter.exe");
export const TEXTURE_TOOL = path.join(BIN_DIR, "texture_tool.exe");

// lib 子目录
export const LIB_DIR = __dirname;
export const PLUGINS_DIR = path.join(LIB_DIR, "plugins");
export const UTILS_DIR = path.join(LIB_DIR, "utils");
export const TOOLS_DIR = path.join(LIB_DIR, "tools");
